/** Shopify CDN: Minification failed

Line 68:0 Unexpected "{"
Line 68:1 Expected identifier but found "%"
Line 69:15 Unexpected "{"
Line 69:18 Expected ":"
Line 69:22 Unexpected "{"
Line 73:15 Unexpected "{"
Line 73:18 Expected ":"
Line 76:0 Unexpected "{"
Line 76:1 Expected identifier but found "%"

**/
/* component-carousel.css */
.carousel {
  width: var(--carousel-width);
  overflow: hidden;
  margin: auto;
  position: relative;
  white-space: nowrap;
}

.slides-wrapper {
  display: flex;
  flex-wrap: nowrap;
  animation: scrollDesktop var(--scroll-speed-desktop) linear infinite;
  min-width: max-content;
}

.slide {
  display: inline-block;
  flex: 0 0 auto;
  margin-right: var(--desktop-spacing);
  width: var(--image-size-desktop);
}

.slide img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 10px;
  object-fit: cover;
  aspect-ratio: 1/1;
}

@keyframes scrollDesktop {
  from { transform: translateX(0); }
  to { transform: translateX(-50%); }
}

@media only screen and (max-width: 750px) {
  .slides-wrapper {
    animation: scrollMobile var(--scroll-speed-mobile) linear infinite;
  }

  .slide {
    margin-right: var(--mobile-spacing);
    width: var(--image-size-mobile);
  }

  @keyframes scrollMobile {
    from { transform: translateX(0); }
    to { transform: translateX(-50%); }
  }
}

/* Color scheme styles */
{% for i in (1..5) %}
.color-scheme-{{ i }} {
  background-color: rgb(var(--color-scheme-{{ i }}));
}

.color-scheme-{{ i }} .slide img {
  border: 2px solid rgb(var(--color-scheme-{{ i }}-text));
}
{% endfor %}